Bug 115707 - iwconfig version mismatch
iwconfig version mismatch
Product: Fedora
Classification: Fedora
Component: wireless-tools (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Depends On: 117020
Blocks: FC2Target
  Show dependency treegraph
Reported: 2004-02-15 01:12 EST by Michael Hunter
Modified: 2014-03-16 22:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: 26-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-03-15 12:30:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Hunter 2004-02-15 01:12:36 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS i86pc; en-US; rv:1.5)
Gecko/20031019 Firebird/0.7

Description of problem:
iwconfig complains that the driver for device (orinco pcmcia card) has
been compiled for version 16 of the wireless extension but that the
tools are only using verison 15.

Version-Release number of selected component (if applicable):
stock fedora core2 test 1

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Rick Johnson 2004-02-16 12:47:56 EST
Kernels affected include 2.6.2-1.81. This is preventing the wireless
network from coming up. Error messages include:

ifup: Error for wireless request "Set Encode" (8B2A):
ifup:      SET failed on device eth0 ; Invalid argument.
Comment 2 Bill Nottingham 2004-02-16 14:00:44 EST
That error is actually unrelated, most likely.
Comment 3 Rick Johnson 2004-03-14 01:49:14 EST
It seems as if /usr/include/linux/wireless.h (provided by glibc-
kernheaders-2.4-8.43) is older than that included with the kernel 
source. Removing /usr/include/linux and replacing with that provided 
in /lib/modules/<kernel-ver>/build/include/linux, then rebuilding the 
wireless-tools seems to solve this problem. 

It would make sense that glibc-kernheaders needs to be updated to 
include headers from the 2.6 tree.
Comment 4 Rick Johnson 2004-03-14 12:37:29 EST
Another choice is to build forcing version 16 using a locally provided
header - see package README for details. 

This involves passing FORCE_WEXT_VERSION=16 to the make and make
install commands. This allows the makefile to use a locally provided
wireless.h of the correct version. This would, however, lock the
package into the present kernel 2.6 (or 2.4 kernels which used version
16 of wireless.h if such exist) and remove the dependancy on
glibc-kernheaders, but not really solve the problem in the end.
Comment 5 Bill Nottingham 2004-03-15 12:30:27 EST
Fixed in -4.

Note You need to log in before you can comment on or make changes to this bug.